Summary:	Printer driver for the Lexmark Z42, Z43 and Z52 printer
Summary(de):	Druckertreiber für den Lexmark Z42, Z43 und Z52 Drucker 
Name: 		drv_z42
Version:	0.4.3
Release:	%mkrel 4
License:	GPL
Group:		System/Printing
URL:		http://www.xs4all.nl/~pastolk/
Source:		http://www.xs4all.nl/~pastolk/drv_z42-%{version}.tar.gz
BuildRequires:	X11-devel
BuildRequires:	xpm-devel
BuildRequires:	atk-devel
BuildRequires:	freetype2-devel
BuildRequires:	glib2-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libfontconfig-devel
BuildRequires:	libz-devel
BuildRequires:	pango-devel
BuildRequires:	ImageMagick
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Driver for the Lexmark printers Z42, Z43, Z52, X73 and the Compaq IJ1200.

%description -l de
Treiber für den Drucker Lexmark Z42, Z43, Z52, X73 und den Compaq IJ1200. 

%package -n	z42tool
Summary:	GUI for Lexmark printer maintence
Summary(de):	GUI zur Lexmark Drucker Wartung
Group:		System/Printing
Requires:	%{name} = %{version}

%description -n	z42tool
GUI tool to configure the Lexmark printers Z42, Z43, Z52, X73 and the Compaq
IJ1200.

%description -n	z42tool -l de
GUI zum konfigurieren folgender Lexmark Drucker Z42, Z43, Z52, X73 und Compaq 
IJ1200.

%prep

%setup -q -n %{name}

%build
pushd src
%{__cc} %{optflags} -o z42_cmyk z42_cmyk.c
popd

pushd z42tool
%configure2_5x
%make
popd

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}

pushd src
    install -m0755 z42_cmyk %{buildroot}%{_bindir}
popd

pushd z42tool
    %makeinstall
popd

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/pclinuxos-z42tool.desktop << EOF
[Desktop Entry]
Name=z42tool - GUI for Lexmark printer maintence
Name[de]=z42tool - GUI für Lexmark Drucker Wartung
Comment=GUI for Lexmark printer maintence
Comment[de]=GUI für Lexmark Drucker Wartungsintervalle
Exec=%{_bindir}/z42tool
Icon=printing_section.png
Terminal=false
Type=Application
Categories=System;;X-MandrivaLinux-System-Configuration-Printing;
EOF

%post -n z42tool
%update_menus

%postun -n z42tool
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc COPYING ChangeLog FAQ README
%attr(0755,root,root) %{_bindir}/z42_cmyk

%files -n z42tool
%defattr(0644,root,root,0755)
%doc z42tool/README
%{_datadir}/z42tool
%attr(0755,root,root) %{_bindir}/z42tool
%{_datadir}/applications/*.desktop


%changelog
* Fri May 28 2010 maik3531 <maik3531 at yahoo.de> 0.4.3-4pclos2010
- add german description

* Wed Mar 10 2010 Texstar <texstar  at gmail.com> 0.4.3-3pclos2010
- remove monitor section from desktop icon

* Fri May 15 2009 Texstar <texstar@gmail.com> 0.4.3-2pclos2009
- fix funky icon

* Sat Jun 07 2008 Texstar <texstar@gmail.com> 0.4.3-1pclos2007
- import into pclos from Thierry Vignaud
